Subject: Re: bug#66068: 30.0.50; xwidget-webkit-browse-url makes Emacs abort

From: Po Lu <[email-masked]>
Date: Mon, 11 Dec 2023 08:43:57 +0800

Stephen Berman <[email-masked]> writes:

> But again, xwidget-webkit-browse-url does work with -q -xrm
> "emacs.synchronous: true" but only when running emacs under gdb.  So
> if someone can figure out why and how, I'd think it must be possible
> to get it to work when running emacs by itself.

This is probably since synchronous mode causes responses to GTK's
invalid requests to be processed in between an error trap installed by
Emacs, likely the "silent" sort recorded by x_ignore_....  As this is
possible solely when synchronous mode is in effect, and even then
unreliable, there's no solution short of that or dismissing GLX errors
completely.

But the latter will induce crashes when a web page attempts to run
WebGL (and such circumstances will only proliferate as WebKitGTK
development continues), and as such, the only long-term fix is a port to
WPE.